## golang-github-einride-aip-go 0.80.0

=== debian/changelog ===
golang-github-einride-aip-go (0.80.0-2) unstable; urgency=medium

  * debian/control: correct architecture to all.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 10 Feb 2026 15:12:17 +0100

golang-github-einride-aip-go (0.80.0-1) unstable; urgency=medium

  * Initial release (Closes: #1126895)
    - required newer golang-google-cloud 0.115.0.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 21 Jan 2026 10:00:54 +0100
