=== debian/control ===
Source: golang-github-einride-aip-go
Section: golang
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               dpkg-build-api (= 1),
               golang-any,
               golang-github-google-uuid-dev,
               golang-github-gotestyourself-gotest.tools-dev,
               golang-github-stoewer-go-strcase-dev,
               golang-google-genproto-dev,
               golang-google-grpc-dev,
               golang-google-protobuf-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-einride-aip-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-einride-aip-go.git
Homepage: https://github.com/einride/aip-go
XS-Go-Import-Path: go.einride.tech/aip

Package: golang-github-einride-aip-go-dev
Section: devel
Architecture: all
Depends: ${misc:Depends},
Description: go sdk for implementing Google API Improvement Proposals (AIP)
 This library provides a comprehensive suite of tools and utilities designed
 to facilitate the implementation of Google API Improvement Proposals (AIP)
 within Go applications. It offers standardized support for the Google API
 filtering language as defined in AIP-160, enabling complex query parsing and
 evaluation across various data backends. Additionally, the package includes
 essential helpers for managing list pagination according to AIP-158 and
 utilities for the structured parsing and generation of resource names. By
 adhering to these established guidelines, the library ensures that APIs
 remain consistent, discoverable, and easy to consume. It is a critical
 dependency for developing robust mock servers and test doubles, such as the
 Pub/Sub fake server found in the Google Cloud Go client libraries.
